div(uib-accordion class="accordion")
    div(uib-accordion-group class="panel-default" is-open="$ctrl.openedAccordion")
        uib-accordion-heading(ng-click="$ctrl.openedAccordion=!$ctrl.openedAccordion")
            div(role="button")
                | Filtros para consulta
                i(class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down': $ctrl.openedAccordion, 'glyphicon-chevron-right': !$ctrl.openedAccordion}")

        .row.form-group
            .col-md-5.col-sm-6
                label.control-label Número do protocolo:
                input.form-control(type='text', name='numProcesso', ng-model='$ctrl.filtro.numeroProcesso', placeholder='Número do protocolo', maxlength="15")

            .col-md-7.col-sm-6
                label.control-label CPF/CNPJ do empreendimento:
                input.form-control(type='text', id="cpfCnpjEmpreendimento", name='cpfCnpjEmpreendimento', ng-model='$ctrl.filtro.cpfCnpjEmpreendimento', placeholder=' CPF/CNPJ do empreendimento', ng-model-options="{allowInvalid:true}", ui-br-cpfcnpj-mask)

        .row.form-group
            .col-md-12
                label.control-label Município do empreendimento:
                select.form-control(ng-model="$ctrl.filtro.idMunicipioEmpreendimento", name="selectMunicipio",
                                    ng-options="municipio.id as municipio.nome for municipio in $ctrl.municipios track by municipio.id")
                    option(value="") Selecione o município do empreendimento

        .row.form-group
            .col-md-12
                label.control-label Tipologia da atividade:
                select.form-control(ng-model="$ctrl.filtro.idTipologiaEmpreendimento", name="selectTipologia",
                                    ng-options="tipologia.id as tipologia.nome for tipologia in $ctrl.tipologias | orderBy:'nome' track by tipologia.id")
                    option(value="") Selecione a tipologia da atividade

        .row.form-group
            .col-md-12
                label.control-label Atividade do empreendimento:
                select.form-control(ng-model="$ctrl.filtro.idAtividadeEmpreendimento", name="selectAtividade",
                                    ng-options="atividade.id as atividade.nome for atividade in $ctrl.atividades | orderBy:'nome' track by atividade.id")
                    option(value="") Selecione a atividade do empreendimento

        .row.form-group(ng-if="!$ctrl.isDisabledFields($ctrl.disabledFilterFields.COORDENADORIA)")
            .col-md-12
                label.control-label Coordenadoria:
                select.form-control(ng-model="$ctrl.filtro.SiglaSetorCoordenadoria", name="selectCoordenadoria",
                                    ng-options="setor.sigla as setor.nome for setor in $ctrl.Coordenadorias | orderBy:'nome' track by setor.sigla")
                    option(value="") Selecione a coordenadoria

        .row.form-group(ng-if="!$ctrl.isDisabledFields($ctrl.disabledFilterFields.GERENCIA)")
            .col-md-12
                label.control-label Gerência:
                select.form-control(ng-model="$ctrl.filtro.siglaSetorGerencia", name="selectGerencia",
                                    ng-options="setor.sigla as setor.nome for setor in $ctrl.Gerencias | orderBy:'nome' track by setor.sigla")
                    option(value="") Selecione a gerência

        .row.form-group(ng-if="!$ctrl.isDisabledFields($ctrl.disabledFilterFields.CONSULTOR_JURIDICO)")
            .col-md-12
                label.control-label Consultor jurídico:
                select.form-control(ng-model="$ctrl.filtro.idConsultorJuridico", name="selectConsultor",
                                    ng-options="consultorJuridico.id as consultorJuridico.pessoa.nome for consultorJuridico in $ctrl.consultoresJuridicos | orderBy:'pessoa.nome'")
                    option(value="") Selecione o consultor jurídico


        .row.form-group(ng-if="$ctrl.usuarioLogadoCodigoPerfil !== $ctrl.perfis.ANALISTA_GEO && $ctrl.usuarioLogadoCodigoPerfil !== $ctrl.perfis.ANALISTA_TECNICO")
            .col-md-12
                label.control-label Analista técnico:
                select.form-control(ng-model="$ctrl.filtro.idAnalistaTecnico", name="selectAnalista",
                                    ng-options="analistaTecnico.id as analistaTecnico.pessoa.nome for analistaTecnico in $ctrl.analistasTecnicos | orderBy:'pessoa.nome'")
                    option(value="") Selecione o analista técnico

        .row
            .col-md-12.form-group(ng-if="!$ctrl.isDisabledFields($ctrl.disabledFilterFields.SITUACAO)")
                label.control-label Situação:
                select.form-control(ng-model="$ctrl.filtro.idCondicaoTramitacao", name="selectCondicao",
                                    ng-options="condicao.idCondicao as condicao.nomeCondicao for condicao in $ctrl.condicoes | orderBy:'nomeCondicao' track by condicao.idCondicao")
                    option(value="") Selecione a situação
        .row
            .col-md-7.form-group(ng-if="!$ctrl.isDisabledFields($ctrl.disabledFilterFields.PERIODO_PROCESSO)")
                label.control-label Período:
                .form-inline.periodo
                    .input-group
                        input.form-control(uib-datepicker-popup="dd/MM/yyyy",
                                            required,
                                            type='text',
                                            name='dataNascimento',
                                            ng-disabled=bloqueado,
                                            ng-model="$ctrl.filtro.periodoInicial",
                                            datepicker-options="{maxDate: $ctrl.maxDataInicio}"
                                            show-button-bar="false",
                                            is-open='isOpenPeriodoInicial',
                                            ng-click='isOpenPeriodoInicial = !isOpenPeriodoInicial',
                                            mascara='data')
                        span.input-group-btn(ng-click='isOpenPeriodoInicial = !isOpenPeriodoInicial')
                            a.btn.btn-default(ng-disabled=bloqueado)
                                i.glyphicon.glyphicon-calendar
                    span a
                    .input-group
                        input.form-control(uib-datepicker-popup="dd/MM/yyyy",
                                            required,
                                            type='text',
                                            name='dataNascimento',
                                            ng-disabled=bloqueado,
                                            ng-model="$ctrl.filtro.periodoFinal",
                                            datepicker-options="{minDate: $ctrl.filtro.periodoInicial}"
                                            show-button-bar="false",
                                            is-open='isOpenPeriodoFinal',
                                            ng-click='isOpenPeriodoFinal = !isOpenPeriodoFinal',
                                            mascara='data')
                        span.input-group-btn(ng-click='isOpenPeriodoFinal = !isOpenPeriodoFinal')
                            a.btn.btn-default(ng-disabled=bloqueado)
                                i.glyphicon.glyphicon-calendar

        div.pull-right
            a.limpar-filtros.traditional(ng-click="$ctrl.limparFiltros()")
                span Limpar filtros
            button.btn.btn-default.btn-success(ng-click="$ctrl.pesquisar(1)", tabindex="0")
                span.glyphicon.glyphicon-search
                | &nbsp;Pesquisar